# Class ProjectActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.ProjectActionGroup

public class ProjectActionGroup extends org.eclipse.ui.actions.ActionGroup
Adds actions to open and close a project to the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ProjectActionGroup(org.eclipse.ui.IViewPart part)`
Creates a new `ProjectActionGroup`.
`ProjectActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider selectionProvider)`
Creates a new `ProjectActionGroup`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`fillActionBars(org.eclipse.ui.IActionBars actionBars)`
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`OpenProjectAction`
`getOpenProjectAction()`
Returns the open project action contained in this project action group.
`protected void`
`performSelectionChanged(org.eclipse.jface.viewers.IStructuredSelection structuredSelection)`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProjectActionGroup

public ProjectActionGroup(org.eclipse.ui.IViewPart part)
Creates a new `ProjectActionGroup`. The group requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### ProjectActionGroup

public ProjectActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider selectionProvider)
Creates a new `ProjectActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `selectionProvider` - the selection provider used instead of the page selection provider.
Since:
  3.4

## Method Details

### performSelectionChanged

protected void performSelectionChanged(org.eclipse.jface.viewers.IStructuredSelection structuredSelection)

### fillActionBars

public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

Overrides:
  `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### getOpenProjectAction

public OpenProjectAction getOpenProjectAction()
Returns the open project action contained in this project action group.

Returns:
  returns the open project action
Since:
  3.3

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`